package net.javase.wechat.api;

import net.javase.wechat.enums.WxApiEnum;
import net.javase.wechat.kit.WxApiKit;
import net.javase.wechat.model.req.msg.AddTempReq;
import net.javase.wechat.model.req.msg.SubscribeMsgSend;
import net.javase.wechat.model.resp.AddTempResp;
import net.javase.wechat.model.resp.BaseResp;

/**
 * 小程序消息API
 *
 * @author Frank
 */
public class WxaMsgApi {

	/**
	 * 小程序订阅消息
	 *
	 * @param accessToken accessToken
	 * @param req         请求信息
	 * @return {@link BaseResp} 响应信息
	 */
	public static BaseResp subscribe(String accessToken, SubscribeMsgSend req) {
		return WxApiKit.postRequest(WxApiKit.getUrl(WxApiEnum.TMPL_SEND, accessToken), req.toJson(), BaseResp.class);
	}

	/**
	 * 小程序 组合模板并添加至帐号下的个人模板库
	 *
	 * @param accessToken accessToken
	 * @param req         请求信息
	 * @return {@link AddTempResp} 响应信息
	 */
	public static AddTempResp addTemplate(String accessToken, AddTempReq req) {
		return WxApiKit.postRequest(WxApiKit.getUrl(WxApiEnum.TMPL_ADD_TEMPLATE, accessToken), req.toJson(), AddTempResp.class);
	}
}
