package net.javase.wechat.bean.live;

import lombok.*;

import java.io.Serializable;

/**
 * 商品信息类
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class Goods implements Serializable {

	private static final long serialVersionUID = 767624715265481274L;

	private int goods_id;

	private String name;

	/**
	 * 图片mediaID, 图片尺寸最大300像素*300像素
	 */
	private String coverImgUrl;

	/**
	 * 商品图片url
	 */
	private String cover_img_url;

	/**
	 * 商品详情页的小程序路径
	 */
	private String url;

	private int priceType;

	/**
	 * 价格左区间，单位“元”
	 */
	private double price;

	/**
	 * 价格右区间，单位“元”
	 */
	private double price2;

	/**
	 * 0：未审核，1：审核中，2:审核通过，3审核失败
	 */
	private int audit_status;

	/**
	 * 1、2：表示是为 API 添加商品，否则是直播控制台添加的商品
	 */
	private int third_party_tag;

	private int thirdPartyTag;

	/**
	 * 当商品为第三方小程序的商品则填写为对应第三方小程序的appid，自身小程序商品则为''
	 */
	private String thirdPartyAppid;

}
