package net.javase.wechat.bean.live;

import com.alibaba.fastjson.JSONObject;
import lombok.*;

import java.io.Serializable;

/**
 * 直播间实体类
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class LiveRoom implements Serializable {

	private static final long serialVersionUID = 5537549826898628763L;

	/**
	 * 直播间ID
	 */
	private int id;

	/**
	 * 直播间名称
	 */
	private String name;

	/**
	 * 直播间背景图 <br>
	 * 建议像素1080*1920，大小不超过2M
	 */
	private String coverImg;

	/**
	 * 开始时间
	 */
	private long startTime;

	/**
	 * 结束时间
	 */
	private long endTime;

	/**
	 * 主播昵称
	 */
	private String anchorName;

	/**
	 * 主播微信号
	 */
	private String anchorWechat;

	/**
	 * 主播副号微信号
	 */
	private String subAnchorWechat;

	/**
	 * 创建者微信号
	 */
	private String createrWechat;

	/**
	 * 直播间分享图 <br>
	 * 图片规则：建议像素800*640，大小不超过1M；
	 */
	private String shareImg;


	private String feedsImg;

	/**
	 * 是否开启官方收录，1 开启，0 关闭
	 */
	private int isFeedsPublic;

	/**
	 * 直播类型，1 推流 0 手机直播
	 */
	private int type;

	/**
	 * 1：横屏 0：竖屏
	 */
	private int screenType;

	/**
	 * 是否关闭点赞 1：关闭
	 */
	private int closeLike;

	/**
	 * 是否关闭商品货架，1：关闭
	 */
	private int closeGoods;

	/**
	 * 是否开启评论，1：关闭
	 */
	private int closeComment;

	/**
	 * 是否关闭回放 1 关闭
	 */
	private int closeReplay;

	/**
	 * 是否关闭分享 1 关闭
	 */
	private int closeShare;

	/**
	 * 是否关闭客服，1 关闭
	 */
	private int closeKf;


	/**
	 * toJSONString
	 *
	 * @return {@link String}
	 */
	public String toJson() {
		return JSONObject.toJSONString(this);
	}
}
