package net.javase.wechat.bean.msg;

import lombok.*;
import net.javase.wechat.model.req.BaseReq;

import java.io.Serializable;
import java.util.Map;

/**
 * mp_template_msg
 * 公众号模板消息相关的信息
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
@AllArgsConstructor
public class MpTempMsg extends BaseReq implements Serializable {
	private static final long serialVersionUID = -7902599431592575381L;
	private MpTempMsg(){}

	/**
	 * 接收者openid
	 */
	private String touser;

	/**
	 * 公众号appid，要求与小程序有绑定且同主体
	 */
	private String appid;

	/**
	 * 公众号模板id
	 */
	private String template_id;

	/**
	 * 公众号模板消息所要跳转的url
	 */
	private String url;

	/**
	 * 公众号模板消息所要跳转的小程序
	 */
	private MiniProgram miniprogram;

	/**
	 * 公众号模板消息的数据
	 */
	private Map<String, Object> data;

	/**
	 * 防重入id。对于同一个openid + client_msg_id, 只发送一条消息,10分钟有效,超过10分钟不保证效果。若无防重入需求，可不填
	 */
	private String client_msg_id;

}
