package net.javase.wechat.bean.msg;

import lombok.*;

import java.io.Serializable;
import java.util.Map;

/**
 * weapp_template_msg
 * 小程序模板消息相关的信息
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class WeAppTempMsg implements Serializable {

	private static final long serialVersionUID = -2635118102024930714L;

	/**
	 * 小程序模板ID
	 */
	private String template_id;

	/**
	 * 小程序页面路径
	 */
	private String page;

	/**
	 * 小程序模板消息formid
	 */
	private String form_id;

	/**
	 * 小程序模板放大关键词
	 */
	private String emphasis_keyword;

	/**
	 * 小程序模板数据
	 */
	private Map<String, Object> data;

}
