package net.javase.wechat.model.req;

import com.alibaba.fastjson.JSONObject;

import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;

/**
 * BaseReq
 *
 * @author Frank
 */
public class BaseReq {

	/**
	 * Object To Map
	 *
	 * @return {@link Map}
	 */
	public Map<String, Object> toMap() {
		Map<String, Object> map = new HashMap<>();
		Field[] fields = this.getClass().getDeclaredFields();
		for (Field field : fields) {
			try {
				field.setAccessible(true);
				Object obj = field.get(this);
				if (obj != null) {
					map.put(field.getName(), obj.toString());
				}
			} catch (IllegalArgumentException | IllegalAccessException e) {
				e.printStackTrace();
			}
		}
		return map;
	}

	/**
	 * toJSONString
	 *
	 * @return {@link String}
	 */
	public String toJson() {
		return JSONObject.toJSONString(this);
	}

	/**
	 * To JSONObject
	 *
	 * @return {@link JSONObject}
	 */
	public JSONObject toJsonObj() {
		return JSONObject.parseObject(toJson());
	}

}
