package net.javase.wechat.model.req;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 用户支付完成后，获取该用户的 UnionId
 *
 * @author Frank
 */
@Getter
@Setter
@NoArgsConstructor
public class GetPaidUnionIdReq extends BaseReq {

	/**
	 * 接口调用凭证
	 * @see net.javase.wechat.api.WxApi#getAccessToken(String, String)
	 */
	private String access_token;

	/**
	 * 支付用户唯一标识
	 */
	private String openid;

	/**
	 * 微信支付订单号
	 */
	private String transaction_id;

	/**
	 * 微信支付分配的商户号，和商户订单号配合使用
	 */
	private String mch_id;

	/**
	 * 微信支付商户订单号，和商户号配合使用
	 */
	private String out_trade_no;


	public GetPaidUnionIdReq(String accessToken, String openId) {
		this.access_token = accessToken;
		this.openid = openId;
	}

	public GetPaidUnionIdReq(String accessToken, String openId, String transactionId) {
		this.access_token = accessToken;
		this.openid = openId;
		this.transaction_id = transactionId;
	}

	public GetPaidUnionIdReq(String accessToken, String openId, String mchId, String outTradeNo) {
		this.access_token = accessToken;
		this.openid = openId;
		this.mch_id = mchId;
		this.out_trade_no = outTradeNo;
	}

}
