package net.javase.wechat.model.req.msg;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import net.javase.wechat.model.req.BaseReq;

import java.io.Serializable;

/**
 * 组合模板并添加至帐号下的个人模板库
 *
 * @author Frank
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class AddTempReq extends BaseReq implements Serializable {

	private static final long serialVersionUID = -7028176639458690719L;

	/**
	 * 模板标题ID
	 */
	private String tid;

	/**
	 * 开发者自行组合好的模板关键词列表
	 */
	private int[] kidList;

	/**
	 * 服务场景描述
	 */
	private String sceneDesc;

	public AddTempReq(String tid, int[] kidList) {
		this.tid = tid;
		this.kidList = kidList;
	}
}
