package net.javase.wechat.model.req.msg;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import net.javase.wechat.bean.msg.MsgKeyword;
import net.javase.wechat.model.req.BaseReq;

import java.io.Serializable;
import java.util.Map;

/**
 * 订阅消息-请求
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class SubscribeMsgSend extends BaseReq implements Serializable {

	private static final long serialVersionUID = -2353473896144670923L;

	/**
	 * 接收者（用户）的 openid
	 */
	private String touser;

	/**
	 * 所需下发的订阅模板id
	 */
	private String template_id;

	/**
	 * 点击模板卡片后的跳转页面，仅限本小程序内的页面。支持带参数,（示例index?foo=bar）。 <br>
	 * 该字段不填则模板无跳转。
	 */
	private String page;

	/**
	 * 跳转小程序类型：<br>
	 * developer为开发版；trial为体验版；formal为正式版；默认为正式版
	 */
	private String miniprogram_state;

	/**
	 * 进入小程序查看”的语言类型，支持zh_CN(简体中文)、en_US(英文)、zh_HK(繁体中文)、zh_TW(繁体中文)，默认为zh_CN
	 */
	private String lang;

	/**
	 * 模板内容
	 */
	private Map<String, Object> data;

}
