package net.javase.wechat.model.req.msg;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import net.javase.wechat.bean.msg.MpTempMsg;
import net.javase.wechat.bean.msg.WeAppTempMsg;
import net.javase.wechat.model.req.BaseReq;

/**
 * 统一服务消息请求
 *
 * @author Frank
 */
@Getter
@Setter
@NoArgsConstructor
public class UniformMsgSendReq extends BaseReq {

	/**
	 * 用户openid，可以是小程序的openid，也可以是mp_template_msg.appid对应的公众号的openid
	 */
	private String touser;

	/**
	 * 小程序模板消息相关的信息
	 */
	private WeAppTempMsg weapp_template_msg;

	/**
	 * 公众号模板消息相关的信息
	 */
	private MpTempMsg mp_template_msg;


	public UniformMsgSendReq(String touser, MpTempMsg mpTempMsg) {
		this.touser = touser;
		this.mp_template_msg = mpTempMsg;
	}

	public UniformMsgSendReq(String touser, WeAppTempMsg weAppTempMsg) {
		this.touser = touser;
		this.weapp_template_msg = weAppTempMsg;
	}
}
