package net.javase.wechat.model.req.open;

import lombok.Getter;
import lombok.Setter;
import net.javase.wechat.model.req.BaseReq;

/**
 * 创建小程序接口
 *
 * @author Frank
 */
@Getter
@Setter
public class FastRegisterWeAppReq extends BaseReq {

	/**
	 * 企业名（需与工商部门登记信息一致）
	 */
	private String name;

	/**
	 * 企业代码
	 */
	private String code;

	/**
	 * 	企业代码类型 1：统一社会信用代码（18 位） 2：组织机构代码（9 位 xxxxxxxx-x） 3：营业执照注册号(15 位)
	 */
	private Integer code_type;

	/**
	 * 法人微信号
	 */
	private String legal_persona_wechat;

	/**
	 * 法人姓名（绑定银行卡）
	 */
	private String legal_persona_name;

	/**
	 * 第三方联系电话
	 */
	private String component_phone;

}
