package net.javase.wechat.model.resp;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

/**
 * 响应码基类
 *
 * @author Frank
 */
@Getter
@Setter
public class BaseResp {

	private Integer errcode;

	private String errmsg;

	/**
	 * 是否成功
	 *
	 * @return {@link Boolean}
	 */
	public boolean isSuccess() {
		return errcode == 0;
	}

	/**
	 * toJSONString
	 *
	 * @return {@link String}
	 */
	public String toJson() {
		return JSONObject.toJSONString(this);
	}

	/**
	 * toJSONObject
	 *
	 * @return {@link JSONObject}
	 */
	public JSONObject toJSONObject() {
		return JSONObject.parseObject(toJson());
	}
}
