package net.javase.wechat.model.resp.auth;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import net.javase.wechat.model.resp.BaseResp;

import java.io.Serializable;

/**
 * AccessToken 响应
 *
 * @author Frank
 */
@Getter
@Setter
@NoArgsConstructor
@ToString(callSuper = true)
public class AccessTokenResp extends BaseResp implements Serializable {

	private static final long serialVersionUID = 7129904688479229999L;

	@JSONField(name = "access_token")
	private String accessToken;

	@JSONField(name = "expires_in")
	private int expiresIn;

	@JSONField(name = "refresh_token")
	private String refreshToken;

	private String openid;

	private String scope;

	private String unionid;


	@Override
	public boolean isSuccess() {
		return StrUtil.isNotBlank(accessToken);
	}
}
