package net.javase.wechat.model.resp.auth;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import net.javase.wechat.model.resp.BaseResp;

import java.io.Serializable;

/**
 * 小程序登录- auth.code2Session
 *
 * @author Frank
 */
@Getter
@Setter
@ToString(callSuper = true)
public class Code2SessionResp extends BaseResp implements Serializable {

	private static final long serialVersionUID = 2053406027848774040L;

	private String openid;

	@JSONField(name = "session_key")
	private String sessionKey;

	private String unionid;

	@Override
	public boolean isSuccess() {
		return StrUtil.isNotBlank(this.openid);
	}
}
