package net.javase.wechat.model.resp.auth;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONArray;
import lombok.Getter;
import lombok.Setter;
import net.javase.wechat.model.resp.BaseResp;

import java.io.Serializable;

/**
 * 获取用户个人信息（UnionID 机制）
 *
 * @author Frank
 */
@Getter
@Setter
public class UserInfoResp extends BaseResp implements Serializable {

	private static final long serialVersionUID = 1276343635039012925L;

	private String openid;

	private String nickname;

	private int sex;

	private String province;

	private String city;

	private String country;

	private String headimgurl;

	private JSONArray privilege;

	private String unionid;

	@Override
	public boolean isSuccess() {
		return StrUtil.isNotBlank(openid);
	}
}
