package net.javase.wechat.model.resp.live;

import cn.hutool.core.date.DateUtil;
import lombok.Getter;
import lombok.Setter;
import net.javase.wechat.enums.LiveStatusEnum;
import net.javase.wechat.model.resp.BaseResp;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 直播间信息 - 响应
 *
 * @author Frank
 */
@Getter
@Setter
public class LiveInfoResp extends BaseResp implements Serializable {

	private static final long serialVersionUID = -6204003251886637350L;

	private List<RoomInfo> room_info;


	@Getter
	@Setter
	private static class RoomInfo {

		private String name;

		private int roomid;

		private String cover_img;

		private String share_img;

		private int live_status;

		private long start_time;

		private long end_time;

		private String anchor_name;

		private List<RoomGoods> goods;

		private int total;

		public String getLiveStatusDesc() {
			for (LiveStatusEnum statusEnum : LiveStatusEnum.values()) {
				if (statusEnum.getValue() == live_status) {
					return statusEnum.getDesc();
				}
			}
			return null;
		}

		public String getStartTime() {
			return DateUtil.date((this.start_time * 1000)).toString();

		}

		public String getEndTime() {
			return DateUtil.date((this.end_time * 1000)).toString();
		}


		@Getter
		@Setter
		private static class RoomGoods {

			private String cover_img;

			private String url;

			private double price;

			private String name;
		}


	}

}
