package net.javase.wechat.model.resp.open;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import net.javase.wechat.model.resp.BaseResp;

/**
 * 第三方平台快速注册小程序
 *
 * @author Frank
 */
@Getter
@Setter
@ToString(callSuper = true)
public class WxaFastRegisterResp extends BaseResp {

	/**
	 * 新创建小程序的 appid
	 */
	@JSONField(name = "appid")
	private String appId;

	/**
	 * 新创建小程序的授权码
	 */
	@JSONField(name = "authorization_code")
	private String authorizationCode;

	/**
	 * 复用公众号微信认证小程序是否成功
	 */
	@JSONField(name = "is_wx_verify_succ")
	private Boolean isWxVerifySuc;

	/**
	 * 小程序是否和公众号关联成功
	 */
	@JSONField(name = "is_link_succ")
	private Boolean isLinkSuc;


}
