package net.javase.wechat.pay;

import cn.hutool.http.Method;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.io.File;
import java.security.PrivateKey;
import java.util.Map;

/**
 * TODO
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class V3PayRequest {

	/**
	 * 领域
	 */
	private WxDomain domain;

	/**
	 * 请求地址
	 */
	private String api;

	/**
	 * 请求方式
	 */
	private RequestMethod method;

	/**
	 * 商户ID
	 */
	private String mchId;

	/**
	 * 商户API证书序列号
	 */
	private String certSerialNo;

	/**
	 * 平台证书序列号
	 */
	private String platSerialNo;

	/**
	 * apiclient_key.pem 证书
	 */
	private PrivateKey privateKey;

	/**
	 * 认证类型
	 * 目前为WECHATPAY2-SHA256-RSA2048
	 */
	private String authType;

	/**
	 * query参数
	 */
	private Map<String, String> queryParams;

	/**
	 * body参数
	 */
	private String body = "";

	/**
	 * 上传的文件
	 */
	private File uploadFile;
}
