package net.javase.wechat.pay;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * WxApiEnum
 *
 * @author Frank
 */
@Getter
@AllArgsConstructor
public enum WxApiEnum {

	/**
	 * 获取证书
	 */
	GET_CERT("/v3/certificates"),

	/**
	 * 图片上传
	 */
	MEDIA_UPLOAD("/v3/merchant/media/upload"),

	/**
	 * 视频上传
	 */
	VIDEO_UPLOAD("/v3/merchant/media/video_upload"),

	/**
	 * JSAPI支付,小程序支付
	 */
	JS_API("/v3/pay/transactions/jsapi"),
	PARTNER_JS_API("/v3/pay/partner/transactions/jsapi"),
	COMBINE_TRANSACTIONS_JS_API("/v3/combine-transactions/jsapi"),

	/**
	 * APP支付
	 */
	TRANSACTIONS_APP("/v3/pay/transactions/app"),
	PARTNER_TRANSACTIONS_APP("/v3/pay/partner/transactions/app"),
	COMBINE_TRANSACTIONS_APP("/v3/combine-transactions/app"),

	/**
	 * Native支付
	 */
	NATIVE("/v3/pay/transactions/native"),
	PARTNER_NATIVE("/v3/pay/partner/transactions/native"),
	COMBINE_TRANSACTIONS_NATIVE("/v3/combine-transactions/native"),

	/**
	 * H5支付
	 */
	H5("/v3/pay/transactions/h5"),
	PARTNER_H5("/v3/pay/partner/transactions/h5"),
	COMBINE_TRANSACTIONS_H5("/v3/combine-transactions/h5"),

	/**
	 * 订单查询
	 */
	ORDER_QUERY("/v3/pay/transactions/id/{}"),
	PARTNER_ORDER_QUERY("/v3/pay/partner/transactions/id/{}"),
	COMBINE_TRANSACTIONS_ORDER_QUERY("/v3/combine-transactions/out-trade-no/{}"),

	/**
	 * 关闭订单
	 */
	CLOSE_ORDER("/v3/pay/transactions/out-trade-no/{}/close"),
	PARTNER_CLOSE_ORDER("/v3/pay/partner/transactions/out-trade-no/{}/close"),
	COMBINE_TRANSACTIONS_CLOSE_ORDER("/v3/combine-transactions/out-trade-no/{}/close"),

	/**
	 * 申请退款
	 */
	ORDER_REFUND("/v3/refund/domestic/refunds"),

	/**
	 * 查询单笔退款
	 */
	ORDER_REFUND_QUERY("/v3/refund/domestic/refunds/{}"),

	/**
	 * 申请交易账单
	 */
	TRADE_BILL("/v3/bill/tradebill"),

	/**
	 * 申请资金账单
	 */
	FUND_FLOW_BILL("/v3/bill/fundflowbill"),


	;

	private final String path;

	@Override
	public String toString() {
		return getPath();
	}
}
